aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorWilliam Harrington <kb0iic@berzerkula.org>2021-04-13 14:21:29 -0500
committerWilliam Harrington <kb0iic@berzerkula.org>2021-04-13 14:21:29 -0500
commitdcc08fd03992ff7431bd360759f9246e8b24ef07 (patch)
tree6e485f740868b8f8731c33bf7c5819735be500cc
parentfac2fa09f9d6424cc4c1c3aa8892f306e55a9b9e (diff)
Copy kernel config long with scripts and package/patches csv files. Adjust a CHROOT printf.
-rwxr-xr-xlfs.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/lfs.sh b/lfs.sh
index 9362a26..6a38b08 100755
--- a/lfs.sh
+++ b/lfs.sh
@@ -96,7 +96,7 @@ esac
printf "%b" "${GRN}Copying required files to ${YLW}${LFS}/sources \
${GRN}target directory${RST}... "
-if ! cp -rf ./*.sh chapter* ./*.csv "${LFS}/sources"; then
+if ! cp -rf ./*.sh chapter* ./*.csv kernelconfig "${LFS}/sources"; then
printf "%b" "${IRED}FAILED!${RST}\n"
else
printf "%b" "${IGRN}OK${RST}\n"
@@ -244,6 +244,9 @@ retval=$?
printf "%b" "\n${CYN}EXITED ${RED}CHROOT${RST} ENVIRONMENT...${RST}\n"
+printf "%b" "\n${CYN}ENTERING ${RED}CHROOT${CYN} ENVIRONMENT...${RST}\n"
+sleep 3
+
# Create chapter10 log directory as non root user
mkdir -p "${LFS}"/sources/log/chapter10
@@ -264,4 +267,3 @@ sudo chroot "${LFS}" /usr/bin/env -i \
retval=$?
printf "%b" "\n${CYN}EXITED ${RED}CHROOT${RST} ENVIRONMENT...${RST}\n"
-